<?php
    @session_start();
    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }

    include "../config/conf.php";

    if ($_POST) {

    	$imagem = "../".$_POST["img"];
    	$tabela = trim($_POST["tabela"]);
    	$id = $_POST["id"];
    	$coluna = $_POST["coluna"];

    	$sql = "update $tabela set $coluna = '' where id = ".(int)$id." limit 1";
    	$consulta = $db->prepare($sql);
    	if ($consulta->execute()) {
    		unlink($imagem."p.jpg");
    		unlink($imagem."m.jpg");
    		unlink($imagem."g.jpg");
    		echo "<div class='alert alert-success'>Imagem excluída com sucesso!</div>";
    	} else {
    		echo "<div class='alert alert-danger'>Erro ao excluir imagem.</div>";
    	}

    } else {
    	echo "<div class='alert alert-danger'>Erro ao acessar página!</div>";
    }

?>